summaryrefslogtreecommitdiff
path: root/set-serial.sh
diff options
context:
space:
mode:
authorPeter Simons <simons@cryp.to>2010-02-23 22:19:11 +0100
committerPeter Simons <simons@cryp.to>2010-02-23 22:19:27 +0100
commit12d8aa36440d2937878258c0be7801631eba46df (patch)
treeb9da1731f4aa5d4fc7300fe233b3a3653f3c2e62 /set-serial.sh
parenta8bc5d453c60996af506ae36f11a0af878828b10 (diff)
downloadautoconf-archive-12d8aa36440d2937878258c0be7801631eba46df.tar.gz
set-serial.sh: fixed for use with Git 1.7.0
Apparently, git status no longer returns a non-zero exit code in case the file had been modified. Instead, git diff --exit-code can be used.
Diffstat (limited to 'set-serial.sh')
-rwxr-xr-xset-serial.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/set-serial.sh b/set-serial.sh
index 08cbe24..bc53cbf 100755
--- a/set-serial.sh
+++ b/set-serial.sh
@@ -19,7 +19,7 @@ for n in "$@"; do
set-serial-number "$n" "$revision"
# Check whether git regards the file as "modified" now. If it does,
# the serial nmuber needs to be bumped one more time.
- if git >/dev/null status -- "$n"; then
+ if ! git diff --quiet --exit-code -- "$n"; then
set-serial-number "$n" "$((revision + 1))"
fi
done